### org.jfree.layouting.normalizer.content

# Class ContentNormalizer.ContentNormalizerState

- `java.lang.Object`
- - `org.jfree.layouting.normalizer.content.ContentNormalizer.ContentNormalizerState`

Enclosing Class:
  ContentNormalizer

Implemented Interfaces:
  Serializable, State

`protected static class ContentNormalizer.ContentNormalizerState`
`extends java.lang.Object`
`implements State`

  ## Constructor Summary

  `ContentNormalizerState()`

  ## Method Summary

  `LayoutElement`

  `getCurrentElement()`

  `LayoutElement`

  `getCurrentSilbling()`

  `State`

  `getModelBuilderState()`

  `long`

  `getNextId()`

  `State`

  `getRecordingContentNormalizerState()`

  `StatefullComponent`

  `restore(LayoutProcess layoutProcess)`
    Creates a restored instance of the saved component.

  `void`

  `setCurrentElement(LayoutElement currentElement)`

  `void`

  `setCurrentSilbling(LayoutElement currentSilbling)`

  `void`

  `setModelBuilderState(State modelBuilderState)`

  `void`

  `setNextId(long nextId)`

  `void`

  `setRecordingContentNormalizerState(State recordingContentNormalizerState)`

## Constructor Details

### ContentNormalizerState

    protected ContentNormalizerState()

## Method Details

### getCurrentElement

    public LayoutElement getCurrentElement()

### getCurrentSilbling

    public LayoutElement getCurrentSilbling()

### getModelBuilderState

    public State getModelBuilderState()

### getNextId

    public long getNextId()

### getRecordingContentNormalizerState

    public State getRecordingContentNormalizerState()

### restore

    public StatefullComponent restore(LayoutProcess layoutProcess)
                throws StateException

> Creates a restored instance of the saved component.

> By using this factory-like approach, we gain independence from having to know the actual implementation. This makes things a lot easier.
> Specified by:
>   restore in interface State
> Parameters:
>   `layoutProcess` - the layout process that controls it all
> Returns:
>   the saved state
> Throws:
>   `StateException` -

### setCurrentElement

    public void setCurrentElement(LayoutElement currentElement)

### setCurrentSilbling

    public void setCurrentSilbling(LayoutElement currentSilbling)

### setModelBuilderState

    public void setModelBuilderState(State modelBuilderState)

### setNextId

    public void setNextId(long nextId)

### setRecordingContentNormalizerState

    public void setRecordingContentNormalizerState(State recordingContentNormalizerState)